let
   rev = "0d576d7eb875b83ada78dca788981cccf2e4d883";
   np = builtins.fetchTarball {
     url = "https://github.com/nixos/nixpkgs/archive/${rev}.tar.gz";
     sha256 = "178j5kp89is5a6vkbj83g0yr4ykgibp1lwhybvgp7sfw9rk9fy5d";
   };
   config = {
      allowBroken = true;
      overlays = [];
      packageOverrides = pkgs: rec {
         haskellPackages = pkgs.haskellPackages.override {
            overrides = haskellPackagesNew: haskellPackagesOld: rec {
               mura =
                  haskellPackagesNew.callPackage ./cabal.nix { };
            };
         };
      };
   };
   pkgs = import np { inherit config; };
in
   rec {
      inherit pkgs;
      mura = pkgs.haskellPackages.mura;
   }
